## apertium-streamparser 5.0.2

=== Makefile ===
SHELL := /bin/bash
TRAVIS_PYTHON_VERSION ?= $(shell python3 --version | cut -d ' ' -f 2)

dist:
	python3 setup.py sdist

release:
	python3 setup.py sdist bdist_wheel upload --sign

test-release:
	python3 setup.py sdist bdist_wheel upload --repository https://test.pypi.org/legacy/ --sign

test:
	flake8 *.py --verbose
	coverage run --branch -m unittest test --verbose
	coverage report --fail-under 95 --show-missing
	if [[ "$(TRAVIS_PYTHON_VERSION)" != 'pypy'* ]]; then \
		set -e; \
		mypy streamparser.py --strict --any-exprs-report .mypy_coverage; \
		cat .mypy_coverage/any-exprs.txt; \
		coverage=$$(tail -1 .mypy_coverage/any-exprs.txt | grep -Eo '[0-9\.]+%' | sed 's/%$$//'); \
		exit $$(echo "$${coverage} < 96" | bc -l); \
	fi

distclean:
	rm -rf dist/ build/ *.egg-info/ .mypy_cache/ .mypy_coverage/ .coverage __pycache__/

=== requirements.txt ===
certifi==2018.1.18
chardet==3.0.4
coverage==4.5.1
coveralls==1.3.0
docopt==0.6.2
flake8==3.5.0
flake8-commas==2.0.0
flake8-polyfill==1.0.2
flake8-quotes==0.14.0
idna==2.6
mccabe==0.6.1
mypy==0.580 ; implementation_name != 'pypy'
pep8-naming==0.5.0
pkginfo==1.4.2
pycodestyle==2.3.1
pyflakes==1.6.0
requests==2.18.4
requests-toolbelt==0.8.0
tqdm==4.19.8
twine==1.11.0
typed-ast==1.1.0 ; implementation_name != 'pypy'
urllib3==1.22

=== debian/changelog ===
apertium-streamparser (5.0.2-3) unstable; urgency=medium

  * Team Upload

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Kartik Mistry ]
  * Updated debian/watch.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 21 Feb 2025 20:51:52 +0100

apertium-streamparser (5.0.2-2) unstable; urgency=low

  * debian/control:
    + Fixed Vcs-* URLs.
    + Updated Standards-Version to 4.5.0
    + Switched to debhelper-compat.
    + Added 'Rules-Requires-Root' field.
  * Added debian/gitlab-ci.yml file.

 -- Kartik Mistry <kartik@debian.org>  Mon, 06 Apr 2020 10:39:49 +0530

apertium-streamparser (5.0.2-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Initial release (Closes: #897396).

 -- Kartik Mistry <kartik@debian.org>  Wed, 02 May 2018 09:02:03 +0530

=== debian/control ===
Source: apertium-streamparser
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Kartik Mistry <kartik@debian.org>,
           Tino Didriksen <tino@didriksen.cc>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3,
 python3-setuptools
Standards-Version: 4.7.0
Homepage: https://github.com/apertium/streamparser
Vcs-Git: https://salsa.debian.org/science-team/apertium-streamparser.git
Vcs-Browser: https://salsa.debian.org/science-team/apertium-streamparser
Rules-Requires-Root: no

Package: python3-streamparser
Section: python
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python library to parse Apertium stream format
 This package provides Python 3 library, streamparser,  to parse
 Apertium stream format.

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS
export LC_ALL=C.UTF-8

export PYBUILD_NAME=streamparser

%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/apertium/streamparser/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
